Subject: bug#52545: 29.0.50; Make org-babel-execute-buffer ignore irrelevant src blocks

From: Ihor Radchenko <[email-masked]>
Date: Wed, 22 Dec 2021 23:04:26 +0800

Rudolf Adamkovič <[email-masked]> writes:

>> Though I am not a big fan of introducing yet another customisation.
>> Maybe someone has better ideas?
>
> I struggle to understand.  Why do we need a customization?  If Org knows
> that some backend exists but has no execute function, why does it even
> try to execute it?  It cannot.  Do I miss something?

There no notion of backend in Org babel. Babel backends are merely
defining a set of functions with special function symbols
(org-babel-*:lang_name). So, Org cannot distinguish between language
backends that are simply not loaded and the ones that do not define
org-babel-execute:lang.

Best,
Ihor